Subject: [PATCH RESEND v8] gpio: Device tree support for LPC32xx

From: [email-masked] (Grant Likely)
Date: Fri, 11 May 2012 11:32:57 -0600

On Fri, 11 May 2012 13:22:14 +0000, Arnd Bergmann <[email-masked]> wrote:
> On Friday 11 May 2012, Roland Stigge wrote:
> > Right. Personally, I would be fine with either of my v8 (all banks in
> > dt, referenced naturally by name) and v9 (one simple DT entry for the
> > whole GPIO controller, integer index for referencing banks) patches.
> > 
> > Consider the DT-documented mapping in the latter case:
> > 
> >       0: GPIO P0
> >       1: GPIO P1
> >       2: GPIO P2
> >       3: GPIO P3
> >       4: GPI P3
> >       5: GPO P3
> > 
> > Not too difficult and would also be acceptable, IMO.
> > 
> > So Arnd and Grant, please agree one of those and pick it. :-)
> > 
> 
> Grant is maintainer for both GPIO and DT, so his opinion is what
> counts in this case.
> I was merely giving the background on how we got there so he
> can make an informed decision.

It adds a lot of boilerplate to the DT to split it up into nodes and
mapping index to a bank isn't onerous.  I think I like the single node
with #gpio-cells = <3> better.  When DTC handles named constants then
it will be even easier.

Just need to decide on the best way to implement it.  Arnd, can you
review Roland's v9 patches for me and give me your opinion?

g.